<!-- hide script from old browsers
var netscape_required = 4.07
var explorer_required = 4.0

var navigator_name = navigator.appName;
var navigator_version = parseFloat(navigator.appVersion);
var IE4=false;
var NN4=false;

var OLD_NETSCAPE = "Medi@Show SmartUpdate requires Netscape version " +
                   netscape_required + " or higher, " +
                   "but you appear to be running version " + navigator_version +
                   ". Click <a href=\"http://home.netscape.com/download/\">here</a> to upgrade!<P>";

var OLD_EXPLORER = "Medi@Show ActiveX Control requires Internet Explorer version " +
                    explorer_required + " or higher, " +
                   "but you appear to be running version " + navigator_version +
                   ". Click <a href=\"http://www.microsoft.com/windows/ie/download/\">here</a> to upgrade!<P>";

var UNKNOWN_BROWSER = "This is a unknown browser. " + 
                      "Medi@Show Plug-in or ActiveX Control contained in this page cannot be viewed correctly!<P>";

if (navigator_name == "Netscape")
{
  if (navigator_version < netscape_required)
    document.write("<P>" + OLD_NETSCAPE + "\n");
  else
    NN4=true;
}
else if (navigator_name == "Microsoft Internet Explorer") 
{
  if (navigator_version < explorer_required)
    document.write("<P>" + OLD_EXPLORER + "\n");
  else 
    IE4=true;
}
else 
{
  document.write("<P>" + UNKNOWN_BROWSER + "\n");
}

function JarLocation()
{
    var window_href = window.location.href;
    var length = window_href.length;

    for(i=length; i>0; i--)
    {  
        if(window_href.charAt(i) == "\\" || window_href.charAt(i) == "/")
        {  
            index = i;
            break;
        }
    }

    return window_href.substring(0, index);
}

// SmartUpdate trigger script for the Medi@Show Plug-In
function comm4SmartUpdatePlugIn(force)
{
    if (navigator.javaEnabled()) 
    { 
        trigger = netscape.softupdate.Trigger;

        // Check if JAR Installation Manager is enabled
        if (trigger.UpdateEnabled()) 
        {
            var file_path;

            version_no = new netscape.softupdate.VersionInfo(1,0,0,5);
            file_path = JarLocation();
            trigURL = file_path + "/" + "MediaShow.jar";

            if (!force) 
            {
                if (trigger.ConditionalSoftwareUpdate(trigURL, "plugins/MediaShow/", version_no, trigger.DEFAULT_MODE))
                    // It means SmartUpdate is starting
                    return true;
            } 
            else
            {
                trigger.StartSoftwareUpdate(trigURL, trigger.FORCE_MODE);
                    // It means SmartUpdate is starting
                    return true;
            }

         }
    }

    return false;
}

function MediaShowObject(flzname,width,height)
{  
   if(IE4)
   {
    document.write('<OBJECT	ID="SequenceCtl" WIDTH="'+width+'" HEIGHT="'+height+'"');
    document.write('CLASSID="CLSID:5DBF08EF-4BDE-11D3-B8E4-0080C84E9C66"');
    document.write('CODEBASE="MediaShow.cab#Version=1,0,0,5">');
    document.write('<PARAM  NAME="File" VALUE="'+flzname+'">');
    document.write('</OBJECT>');
   }
   
   if(NN4)
   {    
    if (comm4SmartUpdatePlugIn(false) == false)
    {
      document.write('<EMBED  SRC="'+flzname+'"WIDTH="'+width+'" HEIGHT="'+height+'">');
    } 
    else
    {
      document.write('<A HREF="javascript:window.location.reload();">');
      document.write('<IMG BORDER="0" SRC ="MediaShowPlugin.jpg" WIDTH="'+width+'" HEIGHT="'+height+'">');
      document.write('</A>');
    }
   }  
}
// end script hiding from old browsers -->